| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
SWI_STRUCT_TcpOpt Struct Reference
WAN Connection Manager

This structure contains TCP optimization parameters. More...

`#include <SwiWwanCmApi.h>`

## Public Attributes
ULONG | nTcpWindowSize
ULONG | nTcpWindowSizeGlobal
ULONG | nTcpWindowSizeGlobalMax
bool | bSackOpts
ULONG | nTcpMaxDupAcks
ULONG | nTcp1323Opts
ULONG | nTcpMaxConnectRetransmissions

## Detailed Description

This structure contains TCP optimization parameters.

TcpWindowSize is modified per-interface while other values are modified on a global level. Global values do not take effect until after the OS reboots. Per-interface values are used once the AirCard is re-inserted or if the mini-cards is reset.

- Suggested values for AC750:
  - nTcpWindowSize = 19200
  - bSackOpts = true
  - nTcpMaxDupAcks = 1
- Suggested values for AC775:
  - nTcpWindowSize = 42300
  - bSackOpts = true
  - nTcpMaxDupAcks = 1
- Suggested values for AC8xx and MC87xx:
  - nTcpWindowSize = 65535
  - bSackOpts = true
  - nTcpMaxDupAcks = 1

Further tests indicate that the GlobalTcpWindowSize must be greater or equal to the per-interface TcpWindowSize, as the lower of the two is used GlobalMaxTcpWindowSize, while it has no effect on NDIS, does appear to be used by the DUN interface.

Windows Vista, Windows XP, Windows 2000, and Windows 98 and Windows CE are supported for all devices.

See also
  SwiGetTcpOpt
  SwiOptimizeTcp

## Member Data Documentation

bool SWI_STRUCT_TcpOpt::bSackOpts

Set to true to enable Selective Acks, false otherwise. Modification will be done globally and will affect all interfaces on the OS.

ULONG SWI_STRUCT_TcpOpt::nTcp1323Opts

TCP RFC 1323 Options

ULONG SWI_STRUCT_TcpOpt::nTcpMaxConnectRetransmissions

Maximum TCP connection retransmissions

ULONG SWI_STRUCT_TcpOpt::nTcpMaxDupAcks

Fast re-transmission and recovery. Modification will be done globally and will affect all interfaces on the OS.

ULONG SWI_STRUCT_TcpOpt::nTcpWindowSize

TCP receive window size. Modification will be done per-interface.

- Suggested value for AC750 is 19200
- Suggested value for AC775 is 42300
- Suggested value for AC8xx is 65535
- Suggested value for MC87xx is 65535

ULONG SWI_STRUCT_TcpOpt::nTcpWindowSizeGlobal

Global TCP window size

ULONG SWI_STRUCT_TcpOpt::nTcpWindowSizeGlobalMax

Maximum global TCP window size

The documentation for this struct was generated from the following file:

- SwiWwanCmApi.h